#pragma once

#include <windows.h>

#include "tekkenio/tekkenio.h"

struct tekken_dll {
    uint16_t api_version;
    HRESULT (*jvs_init)(void);
    HRESULT (*jvs_poll)(uint8_t *opbtn);
    void (*jvs_read_coin_counter)(uint16_t *coins);
};

struct tekken_dll_config {
    wchar_t path[MAX_PATH];
};

extern struct tekken_dll tekken_dll;

HRESULT tekken_dll_init(const struct tekken_dll_config *cfg, HINSTANCE self);
