#include <windows.h>

#include <assert.h>
#include <stddef.h>
#include <stdio.h>

#include "tekkenio/config.h"

void tekken_io_najv4_config_load(struct tekken_najv4_config *cfg, const wchar_t *filename) 
{    
    cfg->test = GetPrivateProfileIntW(L"najv4", L"test", VK_HOME, filename);
    cfg->service = GetPrivateProfileIntW(L"najv4", L"service", VK_DELETE, filename);
    cfg->coin = GetPrivateProfileIntW(L"najv4", L"coin", VK_INSERT, filename);
    cfg->up = GetPrivateProfileIntW(L"najv4", L"up", VK_UP, filename);
    cfg->down = GetPrivateProfileIntW(L"najv4", L"down", VK_DOWN, filename);
    cfg->enter = GetPrivateProfileIntW(L"najv4", L"enter", VK_RETURN, filename);
}
